Bug 1130650 - Feature request: CONFIG_X86_PTDUMP
Summary: Feature request: CONFIG_X86_PTDUMP
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: rawhide
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-15 19:01 UTC by Andy Lutomirski
Modified: 2014-11-06 00:02 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-06 00:02:54 UTC


Attachments (Terms of Use)

Description Andy Lutomirski 2014-08-15 19:01:22 UTC
Every now and then, I find myself wanting CONFIG_X86_PTDUMP to debug something.  The feature is not intrusive, and it should be completely safe to enable by default.  It does nothing unless someone reads the debugfs file.

Any chance of adding it to Fedora's kernels?

Note: I don't think that CONFIG_EFI_PGT_DUMP should come along for the ride.  That adds lots of dmesg output.

Comment 1 Josh Boyer 2014-08-18 13:14:55 UTC
We enable this in our debug kernels already.  That should be sufficient for anyone doing debugging work.

Comment 2 Josh Boyer 2014-11-06 00:02:54 UTC
Closing this out since there's no further follow up after comment #1.


Note You need to log in before you can comment on or make changes to this bug.